#!/bin/bash
chmod +x ./nvdaRemoteServer
read -p "请输入SSL证书的完整路径（留空则不使用SSL）： " cert_path
if [ -n "$cert_path" ]; then
    read -p "请输入SSL私钥的完整路径： " key_path
    if [ -z "$key_path" ]; then
        echo "错误：SSL私钥路径不能为空。"
        exit 1
    fi
    sed -i "s|ExecStart=.*|ExecStart=/home/nrs/nvdaRemoteServer -cert-file $cert_path -key-file $key_path -log-level=3 -conf-file /home/nrs/nvdaRemoteServer.json|" ./systemd/nrs.service
else
    sed -i "s|-cert-file [^ ]* ||" ./systemd/nrs.service
    sed -i "s|-key-file [^ ]* ||" ./systemd/nrs.service
fi
cp ./systemd/nrs.service /etc/systemd/system/

systemctl daemon-reload
systemctl enable nrs
systemctl start nrs
echo "nrs服务安装并启动完成。"